KyPanelDocs

API reference

Logs

Error and access logs, visitors.

Recent web server errors

GET/api/v1/accounts/{id}/logs/errors

Who
root, reseller (ACL: create-user-session); customer
API tokens
admin token area: accounts; account token area: logs
Feature
error_log
Operation
logsErrors · ky call logsErrors

Parameters

NameIn
idpath
domainquery
linesquery
sourcequery

Responses

  • 200 OK
    Body
    FieldType
    domainany
    linesarray of string
    sourceany
  • 400 Bad Request: rejected, validation
  • 401 Unauthorized: no session, or an invalid or expired token
  • 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
  • 404 Not Found: not-found
  • 409 Conflict: not-ready
  • 500 Internal Server Error: internal

List raw access logs

GET/api/v1/accounts/{id}/logs/raw

Who
root, reseller (ACL: create-user-session); customer
API tokens
admin token area: accounts; account token area: logs
Feature
raw_access
Operation
logsRaw · ky call logsRaw

Parameters

NameIn
idpath

Responses

  • 200 OK
    Body

    map of any

  • 401 Unauthorized: no session, or an invalid or expired token
  • 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
  • 404 Not Found: not-found
  • 409 Conflict: not-ready
  • 500 Internal Server Error: internal

Download a raw access log

GET/api/v1/accounts/{id}/logs/raw/download

Who
root, reseller (ACL: create-user-session); customer
API tokens
admin token area: accounts; account token area: logs
Feature
raw_access
Operation
logsRawDownload · ky call logsRawDownload

Parameters

NameIn
idpath
domainquery

Responses

  • 200 OK
  • 400 Bad Request: rejected, validation
  • 401 Unauthorized: no session, or an invalid or expired token
  • 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
  • 404 Not Found: not-found
  • 409 Conflict: not-ready
  • 500 Internal Server Error: internal

Save the access log settings

PUT/api/v1/accounts/{id}/logs/settings

Who
root, reseller (ACL: create-user-session); customer
API tokens
admin token area: accounts; account token area: logs
Feature
raw_access
Operation
logsSettings · ky call logsSettings

Parameters

NameIn
idpath

Request body

FieldType
archiveboolean
pruneboolean

Responses

  • 200 OK
    Body
    FieldType
    settingsHostingLogSettings
  • 401 Unauthorized: no session, or an invalid or expired token
  • 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
  • 404 Not Found: not-found
  • 409 Conflict: not-ready
  • 500 Internal Server Error: internal

Latest visitors of a domain

GET/api/v1/accounts/{id}/logs/visitors

Who
root, reseller (ACL: create-user-session); customer
API tokens
admin token area: accounts; account token area: logs
Feature
visitors
Operation
logsVisitors · ky call logsVisitors

Parameters

NameIn
idpath
domainquery

Responses

  • 200 OK
    Body
    FieldType
    domainstring
    itemsarray of Visitor
  • 400 Bad Request: rejected, validation
  • 401 Unauthorized: no session, or an invalid or expired token
  • 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
  • 404 Not Found: not-found
  • 409 Conflict: not-ready
  • 500 Internal Server Error: internal